;	*--------------------------------*
;	|   TimeSync for the ChipCard	 +-+
;	|	  Version J0.01		 | |
;	| Copyright (c) 1995 by Altair | |
;	|      All rights reserved.	 | |	AZu@ ()
;	*-+------------------------------+ |	asm88 -sy -x -abs jog.ms
;	  +--------------------------------*
;==============
; ChipCard API
;==============
ClearScreen	equ	 94h	;ʏ
PutStr		equ	0B8h	;o
CursorOff	equ	0CCh
PowerSaveUnlock equ	0DAh	;      V      s
;==============
; VXeϐ
;==============
Days	equ	0F000h	;J_[̓ti1995/01/010Ƃoߓ)
Hour	equ	0F002h	;J_[̎ 24/12 "01/11"b+""b 6rbg
Minu	equ	0F003h	;J_[̕
Seco	equ	0F004h	;J_[̕b
;==========================
; [UvOwb_
;==========================
	page	10h
	org	10021Ch		;User Program #4
	db	boc TimeSet	;Aplication bank
	dw	loc TimeSet	;Aplication address
UserFlag:db	80h		;In-use
;==================================
; vOR[hZOgJn
;==================================
	bank	21h
	org	10FF80h
PCClock:db	[5]

TimeSet:ld	nb,#boc $
	ld	ep,#0
	call	[ClearScreen]
	call	[CursorOff]
	ld	xp,#pod $
	ld	ix,#lod 2$
	sub	hl,hl
	call	[PutStr]

	ld	ix,#lod PCClock
	ld	yp,#pod Days
	ld	iy,#lod Days
	ld	b,#5
0$:	ld	a,[ix]
	inc	ix
	ld	[iy],a
	inc	iy
	djr	nz,0$
	ld	ix,#lod UserFlag
	ld	[ix],#0

	ld	ix,#lod 3$
	ld	hl,#104h
	call	[PutStr]
	call	[PowerSaveUnlock]
1$:	halt
	jrs	1$

2$:	ascii	"TimeSync",0
3$:	ascii	"Done...",0
	end
